What does SpaceMan 99 do?

SpaceMan 99 is an application that can help you find out which files and folders are using up most of your disk space. It also contains facilities to help find files that can be deleted to make more space available. It performs two main functions.

Finding disk space used by folders

SpaceMan 99 can show an overview of all folders, and give the total amount of disk space used by all the files within each one. This can be used to find out which folders are using the most disk space.

Finding duplicate files

SpaceMan 99 can also find files and folders that have identical copies elsewhere on the system. This can be useful both for freeing up disk space by deleting unnecessary copies, and for helping sort out files on a disorganised disk.

One of SpaceMan 99's unique features is the Mark Duplicate Files panel. This provides powerful commands to automatically select duplicate files for deletion.


System requirements

SpaceMan 99 works with all versions of Windows later than Windows 98. SpaceMan 99 also works with Windows 95, provided Internet Explorer 4.0 or later is installed.

SpaceMan 99 will not work on any 16 bit versions of Windows such as Windows 3.1, nor will it work on Windows NT 3.51 or earlier.

SpaceMan 99 has been tested on the following:

  • Windows XP
  • Windows 2000
  • Windows NT 4.0
  • Windows Me
  • Windows 98
  • Windows 95, with Internet Explorer 5.5 installed.


Getting Started with SpaceMan 99

SpaceMan 99 works in a similar way to the Windows Explorer application, except that it has two extra panels at the bottom that are used for showing duplicate files.

The following screen shot shows SpaceMan 99 after a duplicates scan has been run. The various parts of the application window are indicated.

Toolbar | This provides quick access to the most commonly used menu commands.
Folder Browser | This shows a hierarchical view of all the folders on the system. Each folder can be expanded or collapsed by clicking on the + or - symbol next to the folder name. When a folder and all its subfolders have been scanned for disk space, the disk space is shown to the left of the folder’s name in square brackets. The contents of the folder selected in the Folder browser are shown in the File Browser.
Address Box | This shows the currently selected folder. New paths can be entered in this box, or the last 20 quickly accessed from the drop-down list.
File Browser | This shows the folders and files in the currently selected folder. When a file has been scanned to test for duplicates, a symbol will appear to the left of its name, to show whether it is a duplicate or not. When all the files in a folder have been scanned to test for duplicates, a symbol will appear next to that folder’s name to show whether that folder is an exact duplicate of another folder.
Status Bar | This shows status information, such as the folder currently being scanned if a scan is in progress.
Duplicates List | When two (or more) duplicate files are found, a line is added to this list which shows the names of the duplicate files, and the size of the files.
Find Duplicates Options | These controls set whether duplicate files are scanned for, and if so, the criteria that must be met for two files to be considered to be duplicates.
Duplicate Files | This shows the individual files in the duplicates set selected in the Duplicates list. All the files shown in this list are duplicates of each other.

Resizing the panels

The sizes of each of these panels can be changed by moving the bars that run between them. There is a single bar running horizontally that separates the folder and file browsers from the duplicates list and the duplicate files browsers. This can be dragged up or down. There are two vertical bars that can be dragged independently. One separates the folder browser from the file browser, and the other separates the duplicates list browser from the duplicate files browser.


Folder Browser

The Folder Browser is used to:

  • Browse through all the folders on the system.
  • Show the total disk space used by all files in a folder.
  • Select a folder for scanning.
  • Select a folder for viewing in the File Browser.
  • Select a folder for use by the Mark Duplicate Files panel.
  • Move or copy files and folders using drag and drop.

Scanning a folder

To scan a folder, select the folder name with the left mouse button. Unless the Auto-scan when folders selected option has been set, select the Scan Folder command.

When a folder is selected for scanning, it’s name in the browser will be preceded by empty square brackets `[ ]`. Once it has been scanned, including all subfolders under it, the total amount of disk space used by all files under the folder will be shown in the square brackets.

If scanning for duplicates is also enabled, then any duplicate files found in the folders that are scanned will be shown in the Duplicates List Browser.

The currently selected folder is shown in the File Browser.

If the Auto-scan when folders selected option has been set, it is still possible to select a folder without scanning it by:

  • Hold down the control key while selecting the folder, or
  • Select the folder with the right mouse button (this will also bring up the context sensitive menu).

Right clicking on a folder brings up the folder context menu.

To expand a folder to show subfolders:

  • Click on the + icon next to the folder name, or
  • Double click on the folder name.

To contract a folder to hide its contents:

  • Click on the - icon next to the folder name, or
  • Double click on the folder name.


File Browser

The file browser shows the contents of the folder currently selected in the Folder Browser.

For each item in the folder, the following information can be listed:

  • Name
  • Disk space used
  • File size, or total size of all contained files for folders
  • Modification time
  • The number of duplicates

The Name column is always shown. The other columns can be shown or hidden depending on the options set in the column options panel. A quick way to set these options is to right click on any of the column headers, and select the columns from the menu that pops up.

The Number of duplicates column only has values if the file has been scanned for duplicates. The value shown includes this file, so if no other copies of the file have been found, the value shown is 1. If the file has one other copy, the value shown is 2, and so on.

The file list can be sorted by name, disk space, file size or modification time. By default it is sorted by file size. To change this, click in the title box of the column you want to sort by. If you click a second time in the same title box, the sort order is reversed.

Note: Sorting by the number of duplicates provides a quick way of bringing all the files that have duplicates together.

Once a folder has been scanned for duplicates, the file browser also shows whether each file is unique, or if there is another copy of the file. This is shown by one of the following symbols next to the name:

File or folder is unique
There is another copy of this file or folder
Empty file or folder

A folder is shown as empty if it contains no files. An empty folder may contain subfolders, but none of these subfolders can contain any files either. Empty folders can be quickly deleted using the delete empty folders command.

For two folders to be shown as duplicates of each other, they must contain exactly the same files (including the same filenames). If they contain any subfolders, these must be identical as well. If a folder is marked as being a duplicate, then the other folder(s) that it is a duplicate of can be seen by using the Next Duplicate and Previous Duplicate commands. These commands are only enabled if a duplicate folder is selected, and they cycle the selected folder between folders that are duplicates of each other.

When a file is shown to be a duplicate, the other copies of that file can be found by selecting the file. The other copies of the file will then be shown in the Duplicate Files Browser.

Right clicking on a folder brings up the folder context menu, and right clicking on a file brings up the file context menu. Multiple folders or files can be selected by holding down SHIFT while selecting to extend the selection, or CTRL to toggle the selection status of the item picked.


Duplicates List Browser

The duplicates list browser shows the duplicate files that have been found. This window is only enabled if the Find Duplicate Files checkbox is checked. Each line in the list shows one set of files that are all identical copies of each other. The information that can be shown for each set of identical files is:

  • File names. If two or more files have the same name, the name is only shown once.
  • File size. All files must be the same size since they are exact copies of each other.
  • The number of duplicate files.
  • The total size of the duplicate files.

The Name column is always shown. The other columns can be shown or hidden depending on the options set in the column options panel. A quick way to set these options is to right click on any of the column headers, and select the columns from the menu that pops up.

To see the full paths to each of the files in a duplicates set, select the line. The Duplicate Files Browser will then show the path for each file.

Right clicking on a duplicates set brings up the file context menu. Selecting one of the commands in this menu will cause the command to be applied to each of the files in the duplicates set.

The duplicates list can be sorted by name, size, number of duplicates or total size of duplicates. By default, it is sorted by size. To change this, click in the title box of the column you want to sort by. If you click a second time in the same title box, the sort order is reversed.


Duplicate Files Browser

The Duplicate Files Browser shows each of the files that are in the currently selected duplicates set in the Duplicates List Browser. The files shown in the Duplicate Files Browser will be duplicates of each other.

For each file in the list, the following information can be listed:

  • Name
  • Full path to the file.
  • Modification time

The Name column is always shown. The other columns can be shown or hidden depending on the options set in the column options panel. A quick way to set these options is to right click on any of the column headers, and select the columns from the menu that pops up.

Selecting a file in the Duplicate Files Browser causes the Folder Browser to be expanded to show the folder in which the file exists. The file is also selected in the File Browser.

Right clicking on a file brings up the file context menu.

Pressing F5 in this window advances to the next duplicates set, and shift+F5 steps back to the previous duplicates set. This allows you to go through all the duplicate files marking the ones you choose, using just keyboard shortcuts.


Finding disk space used by folders

To find the total disk space used by all the files in a folder, and in all subfolders under it, simply select the folder in the Folder Browser with the left mouse button and select the Scan Folder command. For more information on scanning folders, follow this link.

The total disk space used by all files in a folder (and all subfolders) is shown in square brackets next to the folder name. If the square brackets next to a folder name are empty, it means the size for that folder is still being calculated.

If the Find Duplicate Files checkbox is checked, folders are also scanned for duplicate files. If you only want to find folder sizes, it will be much quicker if you uncheck this box before scanning any folders.


Finding duplicate files

To find duplicate files, simply select the folder you want to scan in the Folder Browser with the left mouse button and select the Scan Folder command. For more information on scanning folders, follow this link.

All duplicates found will be listed in the Duplicates List Browser.

Note that duplicate files can only be found if all the folders containing the copies of a file are scanned. For example, if there is a file in C:\Folder1 that has a duplicate in C:\Folder2, then if only C:\Folder1 is scanned, the file will be shown as unique. Only when C:\Folder2 is scanned as well will the duplication be found.

If you have disabled scanning for duplicates, it must be re-enabled before you scan the folder by making sure the Find Duplicate Files checkbox is checked.

Problems that can occur when scanning for duplicates

You may find that sometimes when you select a folder for scanning, some files within it do not get scanned. This can be due to one of the following reasons:

  • The file is already open in another application. Close all other applications and try again.
  • You do not have read access for the file. Check the permissions and ownership of the file.


Deleting files

Any file or folder can be deleted by simply selecting it, and choosing the delete command.

You should always take great care when deleting files, as you can lose work or stop something from working if you delete the wrong file. The best rule is, if you don’t know what a file is, then don’t delete it. By default, SpaceMan 99 protects most files used by the Windows operating system. To turn this protection off, use the options panel.

Also, see these notes on removing applications from your system.

Deleting duplicate files

SpaceMan 99 has special purpose commands built in to help find and delete duplicate files. First, you can mark duplicate files. The files marked can then be reviewed by viewing the marked files as a list, or by browsing through folders and seeing the marked files in the file browser. Once you are sure you have marked exactly the files you want to delete, you can use the delete marked files command. This provides a safe way to delete files and be sure you still have at least one other copy of any file deleted.

Note, however, that just because a file is a duplicate, this does not always mean it can be safely deleted. For example, an application may install a copy of a file that already exists on the system, but if the application only looks for the file in the new location, it will fail if the new copy of the file is deleted.


File menu commands

The File menu offers the following commands:

Open | Opens the selected file(s).
Explore | Opens the selected folder in Windows Explorer.
Delete | Deletes the selected file(s) or folder(s).
Delete Empty Folders | Deletes any empty folders under the selected folder.
Scan Folder | Scans the currently selected folder.
Stop Scanning | Stops scanning currently in progress.
Clear Folder Data | Clears folder size and duplicate file data under the currently selected folder.
Clear All Data | Clears all folder size and duplicate file data.
Next Duplicate | Selects the next duplicate of the currently selected file or folder.
Previous Duplicate | Selects the previous duplicate of the currently selected file or folder.
Report | Brings up the Reports panel.
Exit | Exits SpaceMan 99.


Mark menu commands

The Mark menu offers the following commands:

Mark | Mark the currently selected file(s).
Unmark | Unmarks the currently selected file(s).
Mark Duplicate Files | Marks duplicate files in the currently selected folder.
Unmark All Files | Unmarks all files.
View Marked Files | Brings up a panel that shows all marked files.
Delete Marked Files | Deletes all marked files.


Filter menu commands

The Filter menu offers the following commands:

Filter Files | Brings up the File Filter panel
Filter Folders | Brings up the Folder Filter panel.
Clear Filters | Clears any file or folder filters that have been set.
Exclude Folder | Excludes the selected folder.
Exclude Subfolders | Excludes all subfolders of the selected folder.


View menu commands

The View menu offers the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.
Show Size As | Popup menu that allows the units used to show sizes to be customized.
Options | Brings up the Options panel


Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
About SpaceMan 99 | Displays the version number of this application, and whether it is registered or not.


Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in SpaceMan 99.

To hide or display the Toolbar, choose Toolbar from the View menu (ALT, V, T).

Click | To
Scan | Scan current folder for duplicate files.
Stop | Stop scanning folders.
Clear All | Clears all folder sizes and the duplicate files list.
Report | Brings up the Report panel.
File Filter | Brings up the File Filter panel.
Folder Filter | Brings up the Folder Filter panel.
About | Bring up the About box.
Help | Bring up the context sensitive help cursor.

The position of the toolbar can be adjusted by dragging the edge to the left of the buttons.


Find Duplicate Files Option

The Find Duplicate Files box is above the Duplicates List Browser.

When the box is checked, SpaceMan 99 will scan for both duplicate files/folders and folder size when the Scan Folder command is selected. Any duplicate files found will be shown in the Duplicates List Browser.

If the box is not checked, then SpaceMan 99 will only scan for folder size. If you only want to scan folders for size, it is much quicker to turn off the Find Duplicate Files option.

Shortcut

Key: F2

See Also

  • Match Contents
  • Match Filename
  • Match Date


Mark Duplicate Files panel

To bring up the mark duplicate files panel, select a folder in the folder browser, and then use the mark duplicate files command.

When the mark duplicate files panel appears, the selected folder is shown at the top of the panel. To change the selected folder, close down the panel, select a new folder, and then use the mark duplicate files command again. You can not simply type a new selected folder path into the panel itself.

The mark duplicate files panel provides a way to mark duplicate files so that all copies of a file can not be marked. This makes it easy to delete redundant copies of a file without accidentally deleting all copies of a file. There are a number of options to allow you to set which of the duplicate files is not marked.

  • Mark duplicate files inside selected folder except newest

    This option marks all duplicate files inside the selected folder (or any subfolder), except the file in each set of duplicate files that has the newest modification time. If more than one of the duplicate files have the newest modification time, then it will be arbitrary which of them is not marked.

  • Mark duplicate files inside selected folder except oldest

    This option marks all duplicate files inside the selected folder (or any subfolder), except the file in each set of duplicate files that has the oldest modification time.

  • Mark duplicate files inside selected folder, which have a copy outside

    This option marks all duplicate files inside the selected folder (or any subfolder), provided they have at least one copy outside the selected folder. This is useful if you want to delete a folder and be sure that you still have copies of all the files it contains elsewhere on the system.

  • Mark duplicate files outside selected folder, which have a copy inside

    This option marks all duplicate files outside the selected folder, provided they have at least one copy inside the selected folder (or any subfolder). This option allows you to clean up your system so that any copies of a file are in a known folder. If you have some files that you may have several copies of in different places, you can choose one folder where you want these files to be stored. After putting one copy of these files in the chosen folder, you can use the mark duplicate files command to mark any other copies of these files anywhere else on your system (or at least, in any other folders you have scanned).

When the mark duplicate files command is selected, the first thing that happens is that all files in the selected folder are checked to see if any are duplicates. If the selected folder has not been scanned for duplicates and nor have any subfolders under it, or if no duplicate files are found, then a message box is shown. Otherwise the mark duplicate files panel appears. If the list of files shown in the mark duplicate files panel is empty, then all the duplicate files found in the selected folder only have copies that are also inside the selected folder.

The list inside the panel shows the files that will be marked if the Mark button is pressed. The list changes as you select between the different options for selecting which duplicates are marked.

Note that when the mark duplicate files panel is brought up, it does not perform any new scanning of files. You should make sure that all folders that you want to check for duplicates have already been scanned before bringing up the mark duplicate files panel. For more information on scanning for duplicate files follow this link.


View Marked Files panel

Marked Files panel

To bring up the marked files panel, use the view marked files command.

This panel shows all the files that are currently marked. Files in the list can be unmarked (which removes them from the list) or deleted by using commands on the marked files menu.

Marked files can be sorted by name, size or path. Click on the appropriate column header to sort on that value. Clicking a second time on the same column header reverses the sort order.

To change the sizes of the columns, drag the right edge of the column headers.


Report panel

To bring up the report panel, use the report command.

Before you use the report panel, you need to have scanned one or more folders for disk space, or for duplicate files. To select the report you want to see, click on one of the tabs at the top of the report panel. The report panel can show each of the following reports.

  • Total Folder Sizes report

    This report shows the total size of all files in each scanned folder, including subfolders. It also shows the total size of all the subfolders under each folder. The folders are sorted first by depth (i.e. how deep in the folder hierarchy they are), and then by size, with the largest shown first. The size shown is either the total disk space used by the files, or the sum of the individual file sizes, depending on the option set on the Report Options panel.

  • Folder Sizes report

    This report shows the total size of all files in each scanned folder, excluding subfolders. The folders are sorted by size, with the largest shown first. The size shown is either the total disk space used by the files, or the sum of the individual file sizes, depending on the option set on the Report Options panel.

  • Duplicate Files report

    This report shows all the duplicate files. The first column shows the file sizes. If the option to show the last-modified time is selected in the Report Options panel, then the second column shows the last-modified time for each file. The last column shows the duplicate files.

    The files are grouped so that files that are duplicates of each other are shown together. Each set of duplicate files is separated by a blank line. Since the size of all files that are duplicates of each other must obviously be the same, the size is only shown once per duplicates set.

  • Duplicate Folders report

    This report shows all the duplicate folders. The first column shows the total size. This is shown either as the total disk space used by the files, or the sum of the individual file sizes, depending on the option set on the Report Options panel. Note that since duplicate folders might be on different disks, it is possible to have a different size shown even though the folders contain identical files, if the disks have different cluster sizes. The second column shows the path to the folder.

    The folders are grouped so that folders that are duplicates of each other are shown together. Each set of duplicate folders is separated by a blank line.

The following buttons are at the bottom of the report panel:

Options | This brings up the Options panel with the Report tab selected. This allows you to make changes to the report options while the Report Panel is displayed.
Copy To Clipboard | Copies the current selection from the current report to the clipboard. A selection can be made in the current report by dragging over the part you want to select. If there is no selection, then the whole report is copied to the clipboard. This can then be copied into another application. When a report is copied to the clipboard, the columns in the reports are separated by the TAB character. This means that the data can be copied into a spreadsheet such as Excel, and the data will be copied properly into rows and columns. It is then easy to make charts of the data if you want to see the results graphically.
Print | Prints the current selection from the current report, or the entire report if there is no selection.
OK | Closes the report panel.


File Filter panel

To bring up the File Filter panel, use the Filter Files command.

The file filter panel allows files to be excluded when the disk is being scanned. This can be used either to simply speed up the scanning operation by excluding files that you are not interested in, or to gather information about specific files, such as how much disk space is being used by a particular type of file.

The files that are filtered out can be specified in one of two ways. You can either list the files that should be excluded, or list just those that should be included. To select which of these to use, click on the pop-up list box and select the required option:

To specify the files to exclude or include, the standard wild-card symbols * and ? are used. * matches any characters, and ? matches any one character. By far the most common way to specify files to exclude or include is by the file extension, since this defines the type of the file. For example, to specify all Microsoft Word files, you would use *.doc.

The wild-card symbols can be used in any combination, so fairly powerful patterns can be defined. For example, a*.??? would match any filename that started with a, and had an extension that had exactly three characters.

To add a file to the list, press the New button.

To change a file, double click it in the file list box and make the change required.

To remove a file, select it in the file list box and press the Remove button.

To remove all file patterns, press the Remove All button.

Note that excluded files are no longer shown in the file browser. They will reappear in the file browser if the filtered files list is cleared.

Predefined file groups

Various predefined file groups can be quickly added by selecting them from the predefined file groups pop-up list. This has file patterns for various common groups of files, such as common image file types, temporary files, and so on.

This list can be customized by editing the file filegroups.txt in SpaceMan 99’s installation folder. This file starts with the name of the first group on one line, followed by lines containing the file patterns making up that group, and ending in a blank line. The next group then follows, and so on until the end of the file.


Folder Filter panel

To bring up the Folder Filter panel, use the Filter Folders command.

This panel allows folders to be excluded. This can be used to speed up scanning by excluding folders that you are not interested in.

To add a folder to the list, press the New button.

You can then either type in the path to the folder you want to exclude, or press the ... button to bring up a folder browser panel. If you type in the path to the folder, the full path including the drive letter must be entered. It is also possible to use the standard wild-card symbols * and ? in the name to match several folders. * matches any characters, although it will not match through a folder separator \. ? matches any one character, except a folder separator \.

To change a folder, double click it in the folder list box and make the change required.

To remove a folder, select it in the folder list box and press the Remove button.

To remove all folder patterns, press the Remove All button.

Note that excluded folder are no longer shown in the folder browser or the file browser. They will reappear if the filtered folders list is cleared.

Also note that whenever any changes are made to the list of excluded folders, any folder-size information and duplicate file data already gathered is cleared. If you have not made any changes to the excluded folders after bringing up this panel, you should press Cancel instead of OK to prevent any existing data being cleared.

Predefined folder groups

The system folder is always available in the predefined folder groups pop-up list.

If there are any groups of folders that you commonly want to exclude, these can be entered into a file called foldergroups.txt in SpaceMan 99’s installation folder. This file starts with the name of the first group on one line, followed by lines containing the folders making up that group, and ending in a blank line. The next group then follows, and so on until the end of the file. This file is read when the Folder Filter panel is brought up, and the groups defined in this file appear in the predefined folder groups pop-up list. Selecting one of these and pressing the Add button will add all the folders in that group to the list of excluded folders.


General Options panel

To bring up the General options panel, use the view options command, and select the General tab.

The General tab of the Options panel allows you to set the following options:

File Protection | Sets whether the Windows operating system files are protected from deletion. If this option is enabled, then you will be unable to delete any files in the Windows folder from within SpaceMan 99. The protected folder is shown. This is fixed by the operating system and can not be changed.
Sounds | Sets whether SpaceMan 99 plays a sound whenever a scan is finished.
Recent Folders | The Address Box stores the 20 most recently accessed folders. This list is saved between SpaceMan 99 sessions unless the Clear recent folders list when app exits checkbox is set.
Auto-scan | If the Auto-scan when folders selected option is set, then folders are automatically scanned when they are selected in the Folder Browser.


Column Options panel

To bring up the Column options panel, use the view options command, and select the Columns tab.

The Columns tab of the Options panel allows the columns shown in each of the files browser, duplicates list and duplicate files views to be configured.

Using the context menu

Note that it is also possible to configure the columns shown without using the Column Options panel. Right clicking in the column title boxes brings up a context menu that lists the columns available. The columns shown have a check mark against them. Selecting one of the columns from the menu toggles the state of the check mark and shows or hides the column.


Report Options panel

To bring up the Report options panel, use the view options command, and select the Reports tab.

The Reports tab of the Options panel allows the reports generated in the Report panel to be customized.

The Show Size As option selects whether the file or folder sizes shown in the reports are the actual sizes of the files or folders, or whether they are the amount of disk space used. Click here to find out why these numbers are usually different.

The Sort Order option selects whether the items in the reports are sorted by size (largest first) or alphabetically by filename.

If the Show Modified Time in Duplicates Report box is checked, then an extra column will be included in the duplicates report that shows the modified time for each file.


What's the difference between disk space and file size?

What’s the difference between disk space and file size?

The file browser shows two different sizes for files. This is due to the fact that when files are stored on a disk, the amount of disk space used is usually greater than the size of the file. This is because disks are divided into clusters and each file takes up a whole number of clusters. The cluster size depends on the type of file system and the size of the disk. For the most common file systems FAT-32 or NTFS, the cluster size is between 512 bytes and 4 Kbytes, which means a 1 byte file could still take up as much space as a 4,096 byte file. If you are running Windows 98, you should be using FAT-32. If you are running Windows NT4, Windows 2000 or Windows XP, you should be using NTFS. However, if you are still using the older file system FAT-16, cluster sizes can reach as much as 32Kbytes, or even more.

It is also possible to have a file that takes up less disk space than the size of the file. This can happen if the file is compressed. Disks using the FAT file system can be set to have the entire drive compressed. Disks using the NTFS file system, which is available under Windows NT4/2000/XP, allow compression to be set on a file by file basis. Note that the compression and decompression of a file is entirely automatic, so the file will appear no different after it is compressed. The only reason for not always using compression is that a compressed file may take very slightly longer to access.

To compress a file using Windows 2000/XP, right click the file icon in Windows Explorer, then select Properties from the menu that pops up. Next select the Advanced button, and then tick the compress-contents box in the Advanced Attributes panel and press OK to compress the file. Whole folders can be compressed by selecting a folder then following the same procedure.


Deleting files safely

You need to take great care when deleting files, since deleting the wrong file can cause an application, or even the whole system, to stop working. SpaceMan 99 has an option to protect the Windows operating system files, which it is recommended you leave enabled. This prevents any files in the Windows folder from being deleted. If you do need to delete a file in this folder, and you are sure that you know what you are doing, use the options panel to disable the protection.

The best rule is: if you don’t know what a file is for, don’t delete it!

The recycle bin can give you a second chance if you accidentally delete the wrong file. By default, SpaceMan 99 will send deleted files to the recycle bin, from where they can be retrieved. This does mean that the disk space used by deleted files is not recovered immediately, so you will need to periodically empty the recycle bin. For more information about the recycle bin, see the delete command.

For recommendations on removing whole applications from your system, follow this link.


Removing applications

An application should not be removed by simply deleting the folder into which it was installed. This is because an application often stores files in other folders as well as the one into which it was installed. Applications may also make entries into the system registry that should also be deleted when the application is removed.

The correct way to remove an application is to un-install it. This is done from the Add/Remove Programs panel, as follows:

  • From the Windows Start menu, choose Settings, then Control Panel.
  • From the Control Panel, double click on Add/Remove Programs.
  • The Add/Remove Programs panel shows a list of all the applications installed on the system. Select the application you want to remove, then click the Add/Remove button.

If the application is not listed in the Add/Remove Programs panel, then it may be that it has a standalone un-install program. Look in the Windows Start menu to see if the application has an entry that contains an un-install program.

If you can not find an un-install program for the application, then you have no choice but to remove it manually, by deleting the folder into which the application was installed. However, only remove it this way as a last resort


Using built-in Windows commands

This section briefly describes how to use the Windows Find command, which can be very useful for disk management.

SpaceMan 99 helps find the largest folders on a disk. If you just want to know where the largest files are, then you can do this as follows:

How to find the largest files on a disk

  • From the Windows Start menu, select Find or Search (depending on which version of Windows you are using) then Files or Folders.
  • Choose the disk(s) you want to search in the Look In selector.
  • Select the Advanced tab, and select Size is At least, 1000 KB. Strictly speaking this step is not necessary, but it filters out small files of less than about 1 MB.
  • Press the Find Now button.
  • You will then get a list of all files that match the criteria specified. To find the largest files, click on the Size column header, which will sort the files by size. The largest file will then be first in the list.
  • You can make the Find panel bigger by dragging out either of the bottom corners, or by pressing the maximize button in the title bar.

Useful articles in Windows Help.

There are also some useful hints and tips in the Windows Help system.

  • From the Windows Start menu, select Help.
  • Double click on Troubleshooting
  • Double click on If you need more disk space


How to buy

To buy SpaceMan costs just $15. To order, simply go to our website at http://www.extrabit.com/spaceman99 and click on "Order Now".

From there, you will be able to enter your credit card details and order online.

It is also possible to order by phone, fax, purchase order, or mail. You still need to go to the website and click on Order SpaceMan, but instead of selecting the option to enter your credit card, pick the option you would prefer.

When you order SpaceMan, you will receive a registration code that you will need to enter into the registration panel.

If you have any questions about ordering SpaceMan, send an email message to info@extrabit.com.

Quantity discounts

The following packs are available which makes it cheaper if you buy several licenses at the same time:

Licenses | Total cost
Single user license | $15
2 license pack | $25
3 license pack | $35
4 license pack | $45
5 license pack | $55
10 license pack | $100
20 license pack | $150
30 license pack | $200
50 license pack | $300
100 license pack | $500

If none of these license packs meets your needs, please contact info@extrabit.com.


End user license

END-USER LICENSE AGREEMENT FOR SPACEMAN 99

License Agreement

You should carefully read the following terms and conditions before using this software. Your use of this software indicates your acceptance of this license agreement and warranty.

Evaluation and Registration

This is not free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period a registration fee of $15 is required. The software can be ordered as described in the section "How to buy". When payment has been received you will be given a registration code that can be used to register your copy of SpaceMan 99.

Distribution

You may make as many copies of this software and documentation as you wish. You may freely distribute this software by any means provided that you include all files in the original distribution.

You are expressly forbidden from distributing by any means the registration code.

Registered Version

One registered copy of SpaceMan 99 may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both.

You may access the registered version of SpaceMan 99 through a network provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network. For instance, if ten different workstations will access SpaceMan 99 on the network, each workstation must have its own SpaceMan 99 license regardless of whether they use SpaceMan 99 at different times or concurrently.

Governing Law

This agreement shall be governed by the laws of England.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

SpaceMan 99 Copyright © 1998-2003 by Mark Williams. All rights reserved.


Address box

The address box shows the path to the current folder, which is the folder listed in the file browser.

Each time the current folder is changed, the address box is updated to show the new folder path.

A new folder path can be typed into the address box, and this will be selected as the new current folder when return is pressed.

The last 20 folder paths are stored. These can be accessed by pressing the drop down button to the right of the box. By default, this list is saved to the registry when SpaceMan 99 is closed, and read back when SpaceMan 99 starts. If you do not want this recent folders list to be saved between SpaceMan 99 sessions, go to the options panel and check the Clear recent folders list when app exits checkbox.

The size and position of the address box can be adjusted by dragging the edge to the left of the word Address.


Checksum

One of the options in the Match contents drop down list is Checksum & Size

This page explains what a checksum is.

A checksum is simply a number that is calculated from all the bytes in the file. A very simple example of a checksum would be to add together all the bytes. This is a true checksum in the original sense of the name, although simply adding the bytes of a file is rarely used to calculate a checksum these days. One of the deficiencies of this technique is that it's not very good at distinguishing between similar but different files. For example, two files with the same bytes but in a different order would have the same checksum.

SpaceMan 99 uses a more sophisticated algorithm called CRC-32.

CRC stands for Cyclic Redundancy Check, and 32 refers to the fact that the checksum calculated has 32 bits. This means that the checksum will be in the range 0 to 4,294,967,295.

Once the checksum has been calculated for two files, if the checksums are different it is guaranteed that the data in the files is different. However, if the checksums are the same it is not guaranteed that the files are the same. This is because many different files will have the same checksum. For a 32 bit checksum, the chances that two files with the same checksum are different is 1 in 4,294,967,296.


Cluster sizes under Windows 95

Cluster sizes with FAT-16

PCs running Windows 95 or earlier generally used a file system called FAT-16, which gets progressively less efficient, the larger the disk. Newer versions of Windows still support FAT-16, but would normally be installed with FAT-32 or NTFS file systems.

Disk space is divided into clusters, and each file takes up a whole number of clusters. The cluster size varies depending on the size of the disk and the type of file system. It can vary from as low as 512 bytes, to as much as 32 Kbytes (or even more)! For example, if the cluster size is 8 Kbytes, then even a 1 byte file takes up 8 Kbytes of disk space.

This can have a dramatic effect on the amount of disk space used. A folder that contains 1,000 files, each of which is only 1 byte in size, could use up as much as 32 Mbytes if the cluster size is 32 Kbytes, instead of less than 1 Kbytes that might be expected.

The following table shows the cluster sizes for different sized disks formatted with FAT-16.

Disk size | Cluster size
128 Mbytes | 2,048 bytes
256 Mbytes | 4,096 bytes
512 Mbytes | 8,192 bytes
1 Gbytes | 16,384 bytes
2 Gbytes | 32,768 bytes

Note: 2 Gbytes is the largest disk size supported by FAT-16.

A PC that came with Windows 95, but was bought after 1996, may have come with a newer version of Windows 95 called OSR 2 (this stands for OEM Service Release). This version of Windows 95 was only available with new PCs, it could not be bought separately. This version of Windows 95 supports the newer file system FAT-32. This has much smaller cluster sizes than FAT-16 on large disks, and also supports larger disks than FAT-16. Windows 98, Windows Millennium, Window 2000 and Windows XP all also support FAT-32.

If you have a version of Windows 95 that does not supports FAT-32, or if you want to carry on using FAT-16 for some other reason, then one solution is to use smaller partition sizes. The table above simplifies things a little, since it assumes that a disk has only one file system filling the whole disk. However, a disk can be divided into sections called partitions, each of which has a separate file system in it. As you can see from the table above, the smaller the partition size, the smaller the cluster size. Dividing a 2 Gbyte disk into four 512 Mbyte partitions will generally allow more data to be stored on the disk, although you will have the disadvantage that is has to be spread over four partitions. These would appear as four drive letters, such as C:, D:, E: and F:.

If you are using Windows 95, then another thing you can do to get more capacity from your disk is to enable compression. See the Windows Help article referred to in this section for more information.


File context menu

The file context menu is brought up by right clicking on a file. It contains the following commands:

Open | If the file is an executable, it is run. Otherwise, the file will be opened in the appropriate application for the type of file.
Mark | Marks the selected file or files.
Unmark | Unmarks the selected file or files.
Delete | Deletes the selected file or files.


Folder context menu

The folder context menu is brought up by right clicking on a folder in the folder browser or file browser. It contains the following commands:

Explore | Launches Windows Explorer, expanded to show the selected folder.
Mark Duplicate Files | Brings up the mark duplicate files panel for the selected folder.
Mark | Marks all files in the selected folder.
Unmark | Unmarks all files in the selected folder.
Delete | Deletes the selected folder and all subfolders under it.
Delete Empty Folders | Deletes all subfolders of the selected folder that contain no files.
Next Duplicate | This command only appears in the folder context menu when the selected folder is a duplicate folder. This command selects the next folder that is a duplicate of this folder.
Previous Duplicate | This command only appears in the folder context menu when the selected folder is a duplicate folder. It performs the same action as the preceding command, except that it cycles in the reverse direction through the duplicate folders.
Exclude Folder | Adds the selected folder to the list of excluded folders. This will cause the folder to disappear from the folders shown.
Exclude Subfolders | Adds all the subfolders of the selected folder to the list of excluded folders. This will cause all the subfolders to disappear from the folders shown.
Clear Folder Data | Clears all the size and duplicates information that has been found for the selected folder, and for all subfolders under it.


View marked context menu

The view-marked context menu is brought up by right clicking on a file in the View Marked Files panel. It contains the following commands:

Unmark | Unmarks the selected file or files. When a file is unmarked, it is immediately removed from the marked files list.
Delete | Deletes the selected file or files.


System Close command

Close command (Control menus)

Use this command to close the application or a dialog box.

Double-clicking a Control-menu box is the same as choosing the Close command.

Shortcuts

Keys: ALT+F4 closes the application or a dialog box


System Maximize command

Maximize command (System menu)

Use this command to enlarge the active window to fill the available space.

Shortcut

Mouse:Click the maximize icon [image] on the title bar; or double-click the title bar.

Keys: CTRL+F10 enlarges a document window.


System Minimize Command

Minimize command (application Control menu)

Use this command to reduce the SpaceMan 99 window to an icon.

Shortcut

Mouse:Click the minimize icon [image] on the title bar.

Keys: ALT+F9


System Move command

Move command (Control menu)

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.

Shortcut

Keys: CTRL+F7


System Next Window command

Next Window command (document Control menu)

Use this command to switch to the next open document window. SpaceMan 99 determines which window is next according to the order in which you opened the windows.

Shortcut

Keys: CTRL+F6


System Previous Window command

Previous Window command (document Control menu)

Use this command to switch to the previous open document window. SpaceMan 99 determines which window is previous according to the order in which you opened the windows.

Shortcut

Keys: SHIFT+CTRL+F6


System Restore command

Restore command (Control menu)

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


System Size command

Size command (System menu)

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the DIRECTION keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a DIRECTION key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.

Shortcut

Mouse: Drag the size bars at the corners or edges of the window.


System Switch to command

Switch to command (application Control menu)

Use this command to display a list of all open applications. Use this "Task List" to switch to or close an application on the list.

Shortcut

Keys: CTRL+ESC

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Select the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


About panel

To bring up the About panel, use the about command.

This panel shows the copyright notice and version number of your copy of SpaceMan 99.

If you have not yet registered your copy of SpaceMan 99, the About panel will also show how many days you have left before your evaluation period expires. It will also have an Order button, which provides information on ordering SpaceMan 99, and a Register button, which brings up the registration panel.


Generating Report panel

This panel appears while a report is being generated. If the report being generated is very long, it may take some time to generate the report. However, at any time you can press the "Stop" button to stop any more of the report from being generated. This generally still leaves a useful report, since the reports list the most important information first. When you stop the generation of a report before it has completed, the last line of the report shown will be "..." so that you can see that the report is incomplete.


Mark All panel

Marking Files panel

This panel appears while all files under the selected folder are being marked. To abort the operation, which will leave some of the files marked and others not, press the Cancel button.


Registration panel

To bring up the registration panel, go to the Help menu, then select About SpaceMan 99. This brings up the About box. If you are running an unregistered version of SpaceMan 99, then this panel will have a Register button on it to bring up the registration dialog box.

When you order SpaceMan 99, you will be given a registration code. Once you have entered this code into the registration dialog box, your copy of SpaceMan 99 will be registered.

An unregistered copy of SpaceMan 99 will stop working after the 30-day trial has expired.


Drag and drop of files and folders

Files and folders can be moved or copied by dragging them to a folder in the Folder Browser. The default action is to move a file or folder that is dragged. To make a copy instead, hold down the CTRL key while releasing the mouse button. You will see the cursor change to include a plus symbol (+) to confirm that a copy will be performed.

Folders can be dragged within the Folder Browser, or can be dragged from the File Browser. Files can be dragged from the File Browser, or the Duplicate Files Browser.

Files and folders can also be dragged to or from other applications that support drag and drop, such as Windows Explorer.

When you move or copy files or folders, you will need to rescan the folders affected to update the folder size information.


Match Contents Option

The Match Contents drop down list is above the duplicates list browser. It only has any effect if the Find Duplicate Files option is enabled.

This option controls how duplicate files are detected.

There are three ways that the contents of the files can be compared:

Contents | A byte by byte comparison is done when testing any two files to determine if they are duplicates. Obviously since every byte in the two files must match, the files must have the same size. This option guarantees that two files marked as duplicates will have exactly the same contents. This option is the slowest of the three, although some special techniques are used to ensure it runs as quickly as possible.
Checksum & Size | A checksum value is calculated for each file, and this and the file size is compared when testing for duplicate files. This option does not guarantee that two files marked as duplicates have exactly the same contents, although the chances of any two files with different contents having the same checksum is 1 in 4,294,967,296.
Size Only | Only the size of the file is compared when testing for duplicate files. This option is not very useful on its own, but if used in conjunction with the match date option it provides a way of doing a very quick test for duplicate files that were made by making copies of files.

See Also

  • Find Duplicate Files
  • Match Filename
  • Match Date


Match Date Option

The Match Date checkbox is above the duplicates list browser. It only has any effect if the Find Duplicate Files option is enabled.

This option controls how duplicate files are detected.

If the checkbox is not checked, then the last-modified date of every file is ignored when looking for duplicate files.

If this checkbox is checked, then the last-modified date of any duplicate files must also match before the files will be recorded as duplicates.

Note that when files are copied, the last-modified date of the file is also copied, so this option is useful if you want to look for files that are not only duplicates, but which were also probably copied from the same original file.

See Also

  • Find Duplicate Files
  • Match Contents
  • Match Filename


Match Filename Option

The Match Filename checkbox is above the duplicates list browser. It only has any effect if the Find Duplicate Files option is enabled.

This option controls how duplicate files are detected.

If this checkbox is not checked, then the file names are ignored when looking for duplicate files.

If this checkbox is checked, then the file names of any duplicate files must also match before the files will be recorded as duplicates.

See Also

  • Find Duplicate Files
  • Match Contents
  • Match Date


Excluded folders must be on a physical disk

Only folders that exist on a physical disk can be excluded from scans. Folders such as the My Computer folder and the Control Panel folder are known as shell folders, and these folders cannot be excluded. This is because shell folders cannot be scanned for files.

Note that the Recycle Bin folder is also a shell folder, so files in the recycle bin cannot be excluded by simply excluding the recycle bin folder. However, each disk should have a folder called RECYCLER or Recycled (depending on which version of Windows you are running) in it’s root folder, and it is this folder that physically contains the files the have been deleted to the recycle bin from that disk. This is the folder you need to exclude if you want to exclude recycled files.


Alert message help

You do not have permission to open 'file'.

You do not have permission to access this file. Check the ownership and permissions of the file.


Alert message help

One or more of the files you have selected is in the protected directory. You can only delete files from this directory if you turn off the option to protect system files (from the View/Options menu). Do not do this unless you are certain that you know what you are doing.

You have attempted to delete a file that is in the folder where Windows stores files that are needed to run the operating system. Unless you know what you are doing, you are advised not to delete any files in this folder.

If you are sure that you want to delete this file, you need to disable the option that protects the Windows files. This is done from the options panel.


Alert message help

Can not open 'file'.

An error has occurred which prevents the file from being opened. This could be due to there being a problem with the application associated with this type of file.

Alternatively, you could be low on memory. Close some applications and try again.


Alert message help

Your registration code is valid, but it can't be written to the registry. Please log in as a user with administrator privileges and enter the registration code again. Note: once the registration code has been written to the registry, SpaceMan 99 will be registered for all users on this machine.

This message occurs when you have entered a valid registration code into the registration panel, but this code could not be written to the Windows Registry. The Windows Registry is where Windows programs can store information that is saved when the program is not running. The most likely reason that SpaceMan 99 would be unable to write to the registry is if you are logged in as a user with insufficient privileges.

You should try registring SpaceMan 99 when logged in as a user with Administrator privileges. Once the registration information has been written to the Windows Registry, all users will be able to use SpaceMan 99.


Alert message help

You have already entered the code to extend your evaluation period. This code can only be used once. To continue to use this software, all you need to do is press the Order button and buy the software for the low price of just $15.
Thankyou for trying SpaceMan 99.

If you have been offered a code to extend your evaluation period, then this code can be used only once. This message occurs when you try to enter a such a code more than once in the registration panel.


Alert message help

You have already entered the code to extend your evaluation period. This code can only be used once.

If you have been offered a code to extend your evaluation period, then this code can be used only once. This message occurs when you try to enter a such a code more than once in the registration panel.


Alert message help

You cannot change any duplicate finding options while a duplicates scan is in progress. Stop the scan, clear the results, and try again.

This message occurs if any of the options for detecting duplicate files are changed while folders are being scanned. This is because changing these options could change the results of the scan.


Alert message help

Changing any duplicate finding options requires that any duplicate files already found are cleared. Do you want to clear the results of your last scan?

This message occurs if any of the options for detecting duplicate files are changed after some folders have already been scanned. This is because changing these options could change the results of the scan.


Alert message help

Only folders that physically exist on a disk can be excluded.

Some folders that you see in the folder browser do not exist as folders on a disk. These are typically the top level folders such as My Computer or Recycle Bin.

Only folders that exist on a disk can be excluded. Most folders under a drive letter such as C: are real folders that can be excluded.


Alert message help

You have been granted an extended evaluation period. The code you entered does not make this program a registered version, so you will still need to buy a license eventually if you want to be able to use this program indefinitely.

If you do decide to buy SpaceMan 99, you can find more information here.


Alert message help

The selected folder has not been scanned for duplicates.

The currently selected folder has not been scanned for duplicates yet. Make sure that scanning for duplicates is enabled, and then use the scan command to start scanning the currently selected folder.

See: Mark duplicate files panel.


Alert message help

Folder not found: 'folder'.

This message occurs if you enter the path to a folder in the address box and the folder does not exist.


Alert message help

Filenames can not contain any of the following characters: / \ : | " < >

Filenames on Windows filesystems can not contain any of these characters:

/ \ : | " < >


Alert message help

Can not open 'file', since there is no application registered for this type of file.

No applications are registered for the type of file you are trying to open. The file is probably used internally by an application and is not meant to be opened, or you do not have the application that is needed to open it.

The type of a file is determined from its extension (the part of the name after the ‘.’). When applications are installed, they register the types of files that they can open. Additional associations can be set up by attempting to open a file with Windows Explorer, and selecting an application from the Open With panel that appears.


Alert message help

No duplicate files found under the selected folder.

This message occurs when the mark duplicate files command is used for a folder that does not contain any duplicate files.


Alert message help

No empty folders found under the selected folder(s).

This message occurs when the delete empty folders command is used on a folder and no empty folders have been found under that folder.

Note that a folder must be scanned before all empty folders under it can be detected. Scanning for duplicates is not required, so this option can be turned off to speed up the scan.


Alert message help

SpaceMan is scanning folders. This must be stopped to clear the folder data.
Press OK to stop scanning and clear the folder data.
Press Cancel to let the scanning continue.

SpaceMan cannot clear all the folder data while it is scanning folders. You can either press Cancel to allow SpaceMan to complete the scanning, or press OK to stop the scanning and clear all the folder data.


Alert message help

SpaceMan is scanning folders. This must be stopped to delete files.
Press OK to stop scanning and delete the files.
Press Cancel to let the scanning continue.

SpaceMan cannot delete files while it is scanning folders. You can either press Cancel to allow SpaceMan to complete the scanning, or press OK to stop the scanning and delete the files.


Alert message help

SpaceMan is scanning folders for size. This must be stopped to enable duplicate scanning.
Press OK to stop scanning for size and turn on duplicates scanning.
Press Cancel to let the scanning continue.

SpaceMan cannot enable duplicates scanning when it is already scanning folders for size. You can either press Cancel to allow SpaceMan to complete the scanning, or press OK to stop the scanning and turn on duplicates scanning.


Alert message help

SpaceMan is scanning folders. This must be stopped to change the file filter.
Press OK to stop scanning and change the file filter.
Press Cancel to let the scanning continue.

SpaceMan cannot bring up the File Filter panel while it is scanning folders. You can either press Cancel to allow SpaceMan to complete the scanning, or press OK to stop the scanning and bring up the File Filter panel.


Alert message help

SpaceMan is scanning folders. This must be stopped to change the folder filter.
Press OK to stop scanning and change the folder filter.
Press Cancel to let the scanning continue.

SpaceMan cannot bring up the Folder Filter panel while it is scanning folders. You can either press Cancel to allow SpaceMan to complete the scanning, or press OK to stop the scanning and bring up the Folder Filter panel.


Alert message help

SpaceMan is scanning folders. This must be stopped to mark duplicate files.
Press OK to stop scanning and mark the duplicate files found so far.
Press Cancel to let the scanning continue.

SpaceMan cannot mark duplicate files while it is scanning folders. You can either press Cancel to allow SpaceMan to complete the scanning, or press OK to stop the scanning and mark the duplicate files found so far.


Alert message help

The registration code you have entered is not valid. Please check carefully that you have entered exactly the code you were given. Press the register button again to re-enter the code.

The code you have entered is invalid. Check that you have entered the code exactly as given.

If you do not have a registration code, you can get one by ordering SpaceMan 99.


Alert message help

Thankyou for registering SpaceMan 99. You now have unlimited access to this software. Please do not give your registration code to anyone else, and many thanks for buying SpaceMan 99.

The code you have entered has been verified, so your version of SpaceMan 99 is now registered. This means that none of the panels referring to the evaluation period will appear from now on.

We hope you continue to find SpaceMan 99 to be a valuable tool.

Thank you for registering SpaceMan 99.


How SpaceMan 99 finds duplicate files

SpaceMan 99 provides the following options to control how duplicate files are found.

Match Contents | Controls how files are compared.
Match Filename | If checked, the file names must also match for files to be marked as duplicates.
Match Date | If checked, the file last-modified date must also match for files to be marked as duplicates.


No Help Available

No help is available for this area of the window.


Scanning Folders

Before any duplicate files or folder sizes can be shown, one or more folders need to be scanned. When a folder is scanned, all subfolders within that folder are also scanned.

To scan a folder, select it in the Folder Browser and select the Scan Folder command.

More folders can be selected for scanning before the first has been finished. The path to the folder currently being scanned is shown in the status bar. When several folders have been selected for scanning, SpaceMan 99 gives priority to the currently selected folder. Once the currently selected folder (and all subfolders under it) has been scanned, SpaceMan 99 will scan all the remaining folders that have been selected for scanning.

At any time, scanning can be aborted by selecting the Stop Scanning command.

When all scanning is finished, SpaceMan 99 will flash briefly, and if the Beep when scan complete option is set, a beep will be sounded.

Only folders on a physical drive can be scanned. This means that it is not possible to scan all drives on a computer by scanning My Computer. However, it is possible to scan an entire drive by scanning, for example, selecting C: to be scanned.

Rescanning folders

If any files are changed, added or removed by another application, then if SpaceMan 99 has already scanned the affected folders, the information gathered by SpaceMan 99 has to be cleared so that the folder will be scanned again. The easiest way to do this is to use the Clear All Data command. This clears all information gathered by SpaceMan 99. Alternatively, just particular folders can be rescanned by using the Clear Folder Data command.


Scroll bars

Displayed at the right and bottom edges of the panes in the main window, when the contents of a pane are too large to fit. The scroll boxes inside the scroll bars indicate your vertical and horizontal location in the view. You can use the mouse to scroll to other parts of the view.


Status Bar

The status bar is displayed at the bottom of the SpaceMan 99 window. To display or hide the status bar, use the Status Bar command in the View menu.

The status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you depress them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right part of the status bar shows the number of and total size of the marked files. See the mark files command for information about marking files. The total size shown is the sum of the file sizes of all the marked files. This means that if you mark all the files in a folder, the total size of the marked files can be shown as less than the folder size, since the folder size is usually shown as the amount of disk space used by the files in that folder.

The status bar also shows which folder is being scanned when SpaceMan 99 is getting folder size or duplicate file information.


Title Bar

The title bar is located along the top of a window. It contains the name of the application.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

  • Application Control-menu button
  • Document Control-menu button
  • Maximize button
  • Minimize button
  • Name of the application
  • Name of the document
  • Restore button


Clear Folder Data command

Clear Folder Data command (File menu)

Clears all the size and duplicates information that has been found for the selected folder, and for all subfolders under it.

This command is similar to the Clear All Data menu command, except that it only clears information about the selected folder. This command can be useful to exclude certain folders that contain duplicate files that you want to ignore, or to rescan folders that contain files which have been changed, added or removed by other applications.

Shortcut

Keys: ALT, F, C


Clear All Data command

Clear All Data command (File menu)

Clears all the folder-size information and duplicate file data already gathered. This may be useful if lots of files have been changed, added or removed by other applications, and you want to rescan all the folders already scanned.

Shortcut

Keys: ALT, F, A


Delete command

Delete command (File menu)

This command deletes the currently selected folders or files. The currently selected folders or files are those which are selected in the active panel of the main window. The active panel is the one that has the selection highlighted.

When the duplicates list is the active panel, the selected files will be all the duplicate files at the selected line. If this is deleted, then all the duplicate files on the selected line will be deleted, leaving no copies of these files.

When files or folders are deleted, they are moved to the recycle bin on your Windows desktop, unless the recycle bin option has been set to permanently delete files immediately.

To change the recycle bin options, right click on the recycle bin icon on the desktop, and choose Properties from the menu that pops up.

To permanently delete files that have been moved to the recycle bin, right click on the recycle bin icon on the desktop, and choose Empty Recycle Bin from the menu that pops up.

Shortcut

Key: DEL


Delete Empty Folders command

Delete Empty Folders command (File menu)

This command deletes any empty folders under the currently selected folder. The currently selected folder is the one selected in the active panel of the main window. The active panel is the one that has the selection highlighted.

This command is useful after marking and deleting duplicate files, which can lead to lots of empty folders.

A folder is considered empty if it contains no files, and either no folders or only empty folders.

Any folders deleted are moved to the recycle bin on your Windows desktop, unless the recycle bin option has been set to permanently delete files immediately.

To change the recycle bin options, right click on the recycle bin icon on the desktop, and choose Properties from the menu that pops up.

To permanently delete files or folders that have been moved to the recycle bin, right click on the recycle bin icon on the desktop, and choose Empty Recycle Bin from the menu that pops up.

Note that a folder must be scanned before all empty folders under it can be detected. Scanning for duplicates is not required, so this option can be turned off to speed up the scan.

Shortcut

Keys: ALT, F, E


File Exit command

Exit command (File menu)

Use this command to end your SpaceMan 99 session. You can also use the Close command on the application Control menu.

Shortcuts

Mouse:Double-click the application's Control menu button.

Keys: ALT+F4


Explore command

Explore command (File menu)

This command opens the currently selected folder in Windows Explorer.

This command is only enabled when a single folder is selected. It cannot be used on files.


Next Duplicate command

Next Duplicate command (File menu)

This command is only enabled if the currently selected file or folder in the File Browser has duplicates.

For files it simply steps to the next entry in the Duplicate Files Browser.

For folders, the next folder in the list of duplicates of the selected folder is selected. Note that the only ways to view the duplicates of a folder are either to step through them with this command or the previous duplicate command, or to use the duplicate folders report from the report panel.

Once this command has been used to cycle through every duplicate, the first duplicate is selected again.

Shortcut

Key: F10


Open command

Open command (File menu)

This command opens the currently selected file(s). If the file is an executable, it is run. Otherwise, it is opened using the application associated with the file type under Windows. The type of a file is determined by it's extension, which is the part of the name after the period character (.) in the name.

This command is only enabled if one or more files are selected. It cannot be used on folders.


Previous Duplicate command

Previous Duplicate command (File menu)

This command is only enabled if the currently selected file or folder in the File Browser has duplicates.

For files it simply steps to the previous entry in the Duplicate Files Browser.

For folders, the previous folder in the list of duplicates of the selected folder is selected. Note that the only ways to view the duplicates of a folder are either to step through them with this command or the next duplicate command, or to use the duplicate folders report from the report panel.

Shortcut

Keys: Shift+F10


Report command

Report command (File menu)

This command brings up the Report panel, which allows you to select one of four different reports. These reports can then be printed or copied to another application.

Shortcut

Keys: ALT, F, R


Scan Folder command

Scan Folder command (File menu)

This command scans the folder currently selected in the Folder Browser, and all of it's subfolders. The currently selected folder is the one selected in the active panel of the main window. The active panel is the one that has the selection highlighted.

If you want to scan several folders, they can each be selected in turn for scanning. You do not need to wait for each one to complete before selecting the next. You can also select folders from different drives for scanning. Simply select each folder in turn in the Folder Browser and select the Scan Folder command. You can scan an entire drive (such as C:) by selecting the drive itself and then selecting the Scan Folder command. If you want to scan all the drives on your system, you will need to select each in turn and select the Scan Folder command.

The Scan Folder command can only be used on physical folders that exist on drives. Virtual folders, such as the My Computer folder, cannot be scanned.

If the Auto-scan when folders selected option is selected, then this command does not need to be used, since folders will be scanned as soon as they are selected.

When a folder is scanned, the sizes of all the files in the folder are added together to find the total size for that folder. Any subfolders in that folder are also scanned. Note: the exception to this is if any file or folder filters have been defined.

If duplicates scanning is enabled, then the contents of the files and folders are also examined to build up lists of duplicate files and folders.

Shortcut

Key: F3


Stop Scanning command

Stop Scanning command (File menu)

This command stops any scanning currently in progress. Any information already gathered will be kept.

The toolbar button animates while scanning is in progress, and is grayed when there is none.

Shortcut

Key: ESC


Clear Filters command

Clear Filters command (Filter menu)

This command clears any file filters or folder filters that have been set.

Note that whenever any changes are made to the list of excluded folders, any folder-size information and duplicate file data already gathered is cleared.

Shortcut

Keys: ALT, I, C


Exclude Folder command

Exclude Folder command (Filter menu)

This command adds the selected folder to the list of excluded folders. This will cause the folder to disappear from the folders shown.

Note that whenever any changes are made to the list of excluded folders, any folder-size information and duplicate file data already gathered is cleared.

Shortcut

Key: F7


Exclude Subfolders command

Exclude Subfolders command (Filter menu)

This command adds all the subfolders of the selected folder to the list of excluded folders. This will cause all the subfolders to disappear from the folders shown.

Note that whenever any changes are made to the list of excluded folders, any folder-size information and duplicate file data already gathered is cleared.

Shortcut

Keys: ALT+F7


Filter files command

Filter Files command (Filter menu)

This command brings up the File Filter panel that allows you to specify file patterns that should be excluded when scanning the disk.

The button on the toolbar indicates if there are any filtered files, it has no color when there are no filtered files.

Shortcut

Keys: ALT, I, F


Filter Folders command

Filter Folders command (Filter menu)

This command brings up the Folder Filter panel that allows you to specify folders that should be excluded when scanning the disk.

The button on the toolbar indicates if there are any filtered folders, it has no color when there are no filtered folders.

Shortcut

Keys: ALT, I, O


About command

About command (Help menu)

Use this command to display the copyright notice and version number of your copy of SpaceMan 99. If you have not yet registered your copy of SpaceMan 99, this will also display how many days you have left before your evaluation period expires.

Shortcut

Keys: ALT, H, A


Context Help command

Use the Context Help command to obtain help on some portion of SpaceMan 99. When you choose the Toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the SpaceMan 99 window, such as another Toolbar button. The Help topic will be shown for the item you clicked.

Shortcut

Keys: SHIFT+F1


Help command

Help command (Help menu)

Opens the help window, showing the contents.

To get context sensitive help on the currently selected object, press F1.

Shortcut

Keys: ALT, H, H


Delete Marked Files command

Delete Marked Files command (Mark menu)

This command deletes all the marked files. Marked files can be viewed using the View Marked Files command.

When files are deleted, they are moved to the recycle bin on your Windows desktop, unless the recycle bin option has been set to permanently delete files immediately.

To change the recycle bin options, right click on the recycle bin icon on the desktop, and choose Properties from the menu that pops up.

To permanently delete files that have been moved to the recycle bin, right click on the recycle bin icon on the desktop, and choose Empty Recycle Bin from the menu that pops up.

Shortcut

Keys: ALT, M, D


Mark Duplicate Files command

Mark Duplicate Files command (Mark menu)

This command brings up a dialog box that allows you to mark duplicate files. If any scanning is in progress, it is stopped when you bring up the mark duplicate files dialog.

Shortcut

Keys: ALT, M, M

See: Mark Duplicate files Dialog.


Mark command

Mark command (Mark menu)

This command marks the currently selected files. If any folders are selected, then this command marks all files contained within the selected folders, including all subfolders. Any files already marked are not affected by this command.

To unmark a marked file, use the Unmark command.

The total number and size of all the marked files is shown in the status bar. The marked files can be viewed using the View Marked Files command.

Shortcut

Key: F8


Unmark command

Unmark command (Mark menu)

This command unmarks the currently selected files. If any folders are selected, then this command unmarks all files contained within the selected folders, including all subfolders. Any files already unmarked are not affected by this command.

To mark a file, use the Mark command.

Shortcut

Key: SHIFT+F8


Unmark All Files command

Unmark All Files command (Mark menu)

This commands unmarks all files.

Shortcut

Keys: ALT, M, U


View Marked Files command

View Marked Files command (Mark menu)

This command brings up the Marked Files panel, which shows a list of all marked files.

Shortcut

Keys: ALT, M, V


View marked files panel


View Options command

View Options command (View menu)

This command brings up the dialog box that allows you to change configuration preferences for SpaceMan 99.

Shortcut

Keys: ALT, V, O

See:

General Options panel

Column Options panel

Report Options panel.


Show Sizes in Automatic Units command

Show Sizes in Automatic Units command (View menu)

Sizes will be shown in different units, depending on the value. The following table shows which units will be used for different sizes:

Size in bytes | Units used | Shown as
0 - 1,023 | Bytes |
1,024 - 1,048,575 | Kilobytes | KB
1,048,576 - 1,073,741,823 | Megabytes | MB
1,073,741,824 or greater | Gigabytes | GB


Show Sizes in Bytes command

Show Sizes in Bytes command (View menu)

All sizes will be shown in bytes.


Show Sizes in Gigabytes command

Show Sizes in Gigabytes command (View menu)

All sizes will be shown in gigabytes (1 gigabyte = 1024 megabytes = 1,073,741,824 bytes). If the size is not a whole number of gigabytes, it will be rounded up.


Show Sizes in Kilobytes command

Show Sizes in Kilobytes command (View menu)

All sizes will be shown in kilobytes (1 kilobyte = 1024 bytes). If the size is not a whole number of kilobytes, it will be rounded up.


Show Sizes in Megabytes command

Show Sizes in Megabytes command (View menu)

All sizes will be shown in megabytes (1 megabyte = 1024 kilobytes = 1,048,576 bytes). If the size is not a whole number of megabytes, it will be rounded up.


View Status Bar Command

Status Bar command (View menu)

Use this command to display and hide the Status Bar, which describes the action to be executed by the selected menu item or depressed toolbar button. A check mark appears next to the menu item when the Status Bar is displayed.

See Status Bar for help on using the status bar.


View Toolbar command

Toolbar command (View menu)

Use this command to display and hide the Toolbar, which includes buttons for some of the most common commands in SpaceMan 99. A check mark appears next to the menu item when the Toolbar is displayed.

See Toolbar for help on using the toolbar.